const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const skin_care_logs = sequelize.define(
    'skin_care_logs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

logged_at: {
        type: DataTypes.DATE,
      
      

      },

routine_time: {
        type: DataTypes.ENUM,
      
      

        values: [

"morning",


"evening"

        ],

      },

products_used: {
        type: DataTypes.TEXT,
      
      

      },

oiliness: {
        type: DataTypes.INTEGER,
      
      

      },

dryness: {
        type: DataTypes.INTEGER,
      
      

      },

redness: {
        type: DataTypes.INTEGER,
      
      

      },

breakout_locations: {
        type: DataTypes.TEXT,
      
      

      },

sensitivity: {
        type: DataTypes.INTEGER,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  skin_care_logs.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.skin_care_logs.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });



    db.skin_care_logs.hasMany(db.file, {
      as: 'skin_photos',
      foreignKey: 'belongsToId',
      constraints: false,
      scope: {
        belongsTo: db.skin_care_logs.getTableName(),
        belongsToColumn: 'skin_photos',
      },
    });


    db.skin_care_logs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.skin_care_logs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return skin_care_logs;
};


